# Uses of Interface
org.eclipse.emf.compare.match.resource.IResourceMatcher

Packages that use IResourceMatcher
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.resource

## Uses of IResourceMatcher in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match that return IResourceMatcher
Modifier and Type
Method
Description
`protected IResourceMatcher`
DefaultMatchEngine.`createResourceMatcher()`
Deprecated.
use `DefaultMatchEngine` constructor with `StrategyResourceMatcher` parameter instead.
`protected final IResourceMatcher`
DefaultMatchEngine.`getResourceMatcher()`
Returns the Resource matcher associated with this match engine.
Constructors in org.eclipse.emf.compare.match with parameters of type IResourceMatcher
Modifier
Constructor
Description
``
`DefaultMatchEngine(IEObjectMatcher eObjectMatcher, IResourceMatcher resourceMatcher, IComparisonFactory comparisonFactory)`
This default engine delegates the pairing of EObjects to an `IEObjectMatcher`.

## Uses of IResourceMatcher in org.eclipse.emf.compare.match.resource

Classes in org.eclipse.emf.compare.match.resource that implement IResourceMatcher
Modifier and Type
Class
Description
`class`
`StrategyResourceMatcher`
A `StrategyResourceMatcher` will be used to match two or three `Resource`s together; depending on whether we are doing a two or three way comparison.